Subject: Re: bug#57021: [PATCH] gnu: packages: Add nmail.

From: Mathieu <[email-masked]>
Date: Mon, 22 Apr 2024 11:21:36 +0200

Awesome news, thanks a ton Christina!

Have you tried sending emails without the `cyrus-sasl` patch? Unless the package changed since I submitted this patch, sending emails may fail because `cyrus-sasl` needs to be compiled with the `--enable-login` flag, which I think was not default. I haven't tested lately though because I was running `nmail` and `cyrus-sasl` from my private channel since a long time.

Mathieu

On 2024-04-21 16:03 Christina O'Donnell <[email-masked]> wrote:

> Hi Mathieu Laparie,
>  
> Thank you for your patch. Sorry it has taken so long to get to it.
>  
> This patch looks good. It applies and runs and lints with few issues.
>  
> I've re-rolled a version 9 patch on the latest master branch,
> updating the version and changing the formatting slightly.
>  
> Regarding the second diff, I'm not sure what the justification is for
> changing cyrus-sasl in the same patch, so I've removed that part. If
> that change needs to happen then I would think it would make more
> sense as a separate patch.
>  
> Kind regards, Christina
>